Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1887008 - Should not support creating localvolumediscoveryresult from web console
Summary: Should not support creating localvolumediscoveryresult from web console
Keywords:
Status: CLOSED DUPLICATE of bug 1886973
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.7.0
Assignee: Tomas Smetana
QA Contact: Qin Ping
URL:
Whiteboard:
Depends On:
Blocks: 1886973
TreeView+ depends on / blocked
 
Reported: 2020-10-10 03:43 UTC by Chao Yang
Modified: 2020-12-04 19:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 17:13:03 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Chao Yang 2020-10-10 03:43:26 UTC
Description of problem:
Should not create localvolumediscoveryresult from web console

Version-Release number of selected component (if applicable):
4.6.0-0.nightly-2020-10-08-210814
local-storage-operator.4.6.0-202010061132.p0

How reproducible:
Always

Steps to Reproduce:
1.Install Local-storage-operator
2.Check "Provided API", customer can create localvolumediscoberyresult
3.
oc get localvolumediscoveryresult example -o yaml
apiVersion: local.storage.openshift.io/v1alpha1
kind: LocalVolumeDiscoveryResult
metadata:
  creationTimestamp: "2020-10-10T02:55:29Z"
  generation: 1
  managedFields:
  - apiVersion: local.storage.openshift.io/v1alpha1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec:
        .: {}
        f:nodeName: {}
    manager: Mozilla
    operation: Update
    time: "2020-10-10T02:55:29Z"
  name: example
  namespace: openshift-local-storage
  resourceVersion: "335048"
  selfLink: /apis/local.storage.openshift.io/v1alpha1/namespaces/openshift-local-storage/localvolumediscoveryresults/example
  uid: 5cb7fd29-5fb9-43a2-88cd-d6ab5c30df4d
spec:
  nodeName: ip-10-0-144-158


Actual results:
localvolumediscoveryresult can be created from web console. 

Expected results:
Should not support creating localvolumediscoveryresult from web console.

Additional info:


Note You need to log in before you can comment on or make changes to this bug.